/*
 * Copyright (c) "Neo4j"
 * Neo4j Sweden AB [https://neo4j.com]
 *
 * This file is part of Neo4j.
 *
 * Neo4j is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */
package org.neo4j.cypher.internal;

public enum CypherVersion {
    Cypher5("5", "CYPHER 5", false),
    Cypher25("25", "CYPHER 25", true);

    public static final CypherVersion Default = Cypher5;

    public final String versionName;
    public final String description;
    public final boolean experimental;

    CypherVersion(String versionName, String description, boolean experimental) {
        this.versionName = versionName;
        this.description = description;
        this.experimental = experimental;
    }

    @Override
    public String toString() {
        return versionName;
    }
}
